# class toNoBlockQuery | This is class to be able to run a query in the background without blocking until a response is available from OCI. More...
Definition | `#include <tonoblockquery.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toNoBlockQuery (toConnection &conn, const QString &sql, const toQList ¶m, toResultStats *statistics=NULL)
- toNoBlockQuery (toConnection &conn, toQuery::queryMode mode, const QString &sql, const toQList ¶m, toResultStats *statistics=NULL)
- virtual ~toNoBlockQuery ()
- bool poll (void)
- toQDescList & describe (void)
- QString readValue (void)
- QString readValueNull (void)
- int rowsProcessed (void)
- bool eof (void)

## Detailed Description

This is class to be able to run a query in the background without blocking until a response is available from OCI.

toNoBlockQuery (toConnection &conn, const QString &sql, const toQList ¶m, toResultStats *statistics=NULL) | ### toNoBlockQuery

Create a new query.

Parameters:

conn | Connection to run on.
sql | SQL to execute.
param | Parameters to pass to query.
statistics | Optional statistics widget to update with values from query.

toNoBlockQuery (toConnection &conn, toQuery::queryMode mode, const QString &sql, const toQList ¶m, toResultStats *statistics=NULL) | ### toNoBlockQuery

Create a new query.

Parameters:

conn | Connection to run on.
mode | Query mode to execute query in.
sql | SQL to execute.
param | Parameters to pass to query.
statistics | Optional statistics widget to update with values from query.

~toNoBlockQuery () | ### ~toNoBlockQuery

[virtual]

bool poll (void) | ### poll

Poll if any result is available.

Returns: True if at least one row is available.

toQDescList & describe (void) | ### describe

Get description of columns.

Returns: Description of columns list. Don't modify this list.

QString readValue (void) | ### readValue

Read the next value from the query.

Returns: The next available value.

QString readValueNull (void) | ### readValueNull

Read the next value from the query. Don't send NULL as string.

Returns: The next available value.

int rowsProcessed (void) | ### rowsProcessed

Get the number of rows processed.

Returns: Number of rows processed.

bool eof (void) | ### eof

Check if at end of query.

Returns: True if query is done.